include: "/gradle/test/base-unit-tests.yml"

variables:
  DOCKER_HOST: "tcp://docker:2375"
  DOCKER_TLS_CERTDIR: ""
  # Improve performance with overlayfs.
  DOCKER_DRIVER: overlay2

unit-test:
  extends: .unit-test
  services:
    - name: docker:dind
      # explicitly disable tls to avoid docker startup interruption
      command: ["--tls=false"]
